You are not logged in.

#1 2012-06-01 02:45:54

ismaelvc
Member
From: México, D.F.
Registered: 2012-02-26
Posts: 136

Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

Hello everyone!

I'm trying to install trinity on an old laptop Sony Vaio PCG-FXA679, I managed to install arch in a 4GB usb, by the way AIF is getting more and more impressive to me!, I performed a netinstall, everything is ok, but when I try to:

sudo pacman -S kdemod3-complete

I get this error(my translation): unable to solve kdemod3-kdelibs dependency heimdal.

As it is no longer in the official repos, I had to build it I used packer, downloaded, untared, makepkged and pacman -U the resulting file (heimdal-aur). I had to install along the missing dependencies like git, etc. So I finally compiled it and it still gives me the same error.

I don't know if it is only hapening to me, or if no one has tryed to install trinity in a while because I can't find related issues in the forum, or google, etc.

Right now Im using my arch install running like a charm and typing this in "links", I had planned on installing lxde, but I tryied opensuse kde3 edition, and it works great also, its a pitty I don't like opensuse anymore, not since meeting arch of course! tongue

Now a little about this laptop: 256MB ram, AMD duron @1100, the gfx card is ati (I can use mach64 or ati drivers), I don't remember the name, but will try to get it latter hwinfo -gfx doesn't work, or I dont have it installed, I'll look more into this, also no hard-drive, no battery, no wireless module, I boot the usb using plop from a 3 1/2 diskete I tryied puppy arcade and I can run everything from snes to atari(wich is what maters to me lol!).

Oh FREEDOOM! is awesome lol! I have been having a lot of fun lattely with it smile the only thing I cant do is run flash videos or any flash app as a mater of fact, the processor goes up to 81 C degrees and the browser shuts down,I even put a massive fan right in front of the processor (I had to remove the keyboard), but still I think the laptop design sucks when it comes to cooling, and also flashplugin sucks too, I saw connocachet (arch based) showing a screenshot of it running youtube videos with html5, but with puppy this is imposible because it is not esasy to upgrade or non existent and its browser collection doesnt, support html5 not even opera wich I remember being version 10.something and it is supposed to be supported.

So this was the reason I tryed installing arch, I hadn't done it before, because the latest puppy runs really bad on this laptop, and I thought it was maybe the newest kernel and everything else fault as my hardware is really old, but now I find myself fascinated with arch again!!

Well im going off topic, but just wanted to show what I'm trying  to achieve.

Thanks in advance for any help!

Also I'm just guessing but shouldn't heimdal be a part of the binary trinity repo?? I know its not oficially supported, so I put this post on Desktop enviroments, because It looks to me to be the correct place, if its not please just tell me and I'll post it in the correct place, thanks again and good night! (oh and sorry for my lame english :S )

Edit: When I installed heimdal-aur it outputed this at the end:

run source enviroment variables needed to run heimdal and use heimdal libraries

I don't know what it means and I cant find reference of it on the net either, heimdal version is 1.5.2-1 there is also a pam-heimdal PKGBUILD maybe this is missing, I'm out of ideas and I don't want to make this post any longer, I'd really like to give kde3 a try I started using linux post kde4 era, but if lxde is the only option I guess I'll ahve to live with that, but still I'll try notificating the packagers of this, thanks again!

Last edited by ismaelvc (2012-06-01 03:01:39)


Laptop: LG LM70 Express                                                  Kernel: 3.14.2-1-ARCH   
CPU: Intel Pentium M processor @1.86GHz                  Hard Drive: 80G
Video: Mobility Radeon X600                                            X Driver: xf86-video-ati
Memory Size: 1.5G + zramswap: 384M + swap: 3G

Offline

#2 2012-06-01 03:04:55

bohoomil
Member
Registered: 2010-09-04
Posts: 2,376
Website

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

If Trinity Desktop is a must for you, pick up a distro that works flawlessly with it.


:: Registered Linux User No. 223384

:: github
:: infinality-bundle+fonts: good looking fonts made easy

Offline

#3 2012-06-01 03:10:32

ismaelvc
Member
From: México, D.F.
Registered: 2012-02-26
Posts: 136

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

I tryied arch because in the arch wiki it literaly says this:

Binary Packages - From Trinity Old Stable Code (3.5.12)
Note: The 3.5.12 binaries continue to work excellently on Arch, but you will need to make sure you have the following (audiofile 0.3.2-1, shadow 4.1.4.3-5 (unneeded if you do not use kdm3), hal 0.5.14-8 (AUR).
The following repository holds binary packages from the Trinity Old Stable (KDE 3.5.12) code base. Albert Vaca built the binaries to work as updated kdemod3 packages. I cannot say enough good about this version of kdemod3 -- it's that good.

I could use another distro but installing arch on a usb is easy not so much opensuse, I don't know any other distro that currently uses kde3 or trinity, but most important to me is pacman. So no it is not a must but theres gotta be a way to make it work right, I don't mind wasting time solving this, I would love to find the answer, but thanks I'll try looking in more deeply into "up to date", easy install kde3 distros. But I'm guessing there are not many!

Last edited by ismaelvc (2012-06-01 03:25:16)


Laptop: LG LM70 Express                                                  Kernel: 3.14.2-1-ARCH   
CPU: Intel Pentium M processor @1.86GHz                  Hard Drive: 80G
Video: Mobility Radeon X600                                            X Driver: xf86-video-ati
Memory Size: 1.5G + zramswap: 384M + swap: 3G

Offline

#4 2012-06-01 04:01:28

ConnorBehan
Trusted User (TU)
From: Long Island NY
Registered: 2007-07-05
Posts: 1,359
Website

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

ismaelvc wrote:

Edit: When I installed heimdal-aur it outputed this at the end:

run source enviroment variables needed to run heimdal and use heimdal libraries

I don't know what it means

source /etc/profile.d/heimdal.sh

That's what it says to do. Installing heimdal-aur won't satisfy the dependency of kdemod3-kdelibs because the heimdal-aur PKGBUILD doesn't say "provides=(heimdal)". I would put that in the PKGBUILD yourself.

It's also possible that you don't even need heimdal. If kdemod3-kdelibs only links to /usr/lib/libkrb5.so, that is already part of the krb5 package. Kdemod stuff is old... from before krb5 replaced heimdal in the Archlinux repos. So what I would really try is removing "depends=(heimdal)".


6EA3 F3F3 B908 2632 A9CB E931 D53A 0445 B47A 0DAB
Great things come in tar.xz packages.

Offline

#5 2012-06-01 04:09:47

ismaelvc
Member
From: México, D.F.
Registered: 2012-02-26
Posts: 136

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

Thanks ConnorBehan! I will try what you suggest

Edit: Oh But guess what? there aren't 3.5.12 PKGBUILDS there are precompiled binaries, so no depends=(heimdal) option, but I will try running what heimdal needs, also i have installed heimdal and krb5 at the same time. Should I uninstall krb5??

Last edited by ismaelvc (2012-06-01 04:14:20)


Laptop: LG LM70 Express                                                  Kernel: 3.14.2-1-ARCH   
CPU: Intel Pentium M processor @1.86GHz                  Hard Drive: 80G
Video: Mobility Radeon X600                                            X Driver: xf86-video-ati
Memory Size: 1.5G + zramswap: 384M + swap: 3G

Offline

#6 2012-06-01 04:53:46

ConnorBehan
Trusted User (TU)
From: Long Island NY
Registered: 2007-07-05
Posts: 1,359
Website

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

ismaelvc wrote:

there aren't 3.5.12 PKGBUILDS there are precompiled binaries, so no depends=(heimdal) option

Ah, to ignore dependencies without rebuilding, install them with "pacman -Ud". However, this will skip ALL dependency checks, so make sure heimdal is the only one you're missing. An alternative would be untarring the package, removing heimdal from the .PKGINFO file and retarring it.

ismaelvc wrote:

Should I uninstall krb5??

Probably not.


6EA3 F3F3 B908 2632 A9CB E931 D53A 0445 B47A 0DAB
Great things come in tar.xz packages.

Offline

#7 2012-06-21 05:42:30

ismaelvc
Member
From: México, D.F.
Registered: 2012-02-26
Posts: 136

Re: Unable to install trinity 3.5.12 (kdemod3-kdelibs dependency heimdal)

Could a moderator please delete this post, I will not be trying to install kdemod3 anymore, and it seems no one is using it either way, so no support, thanks!


Laptop: LG LM70 Express                                                  Kernel: 3.14.2-1-ARCH   
CPU: Intel Pentium M processor @1.86GHz                  Hard Drive: 80G
Video: Mobility Radeon X600                                            X Driver: xf86-video-ati
Memory Size: 1.5G + zramswap: 384M + swap: 3G

Offline

Board footer

Powered by FluxBB